[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# AddCmdLineParamDesc

Adds the help displayed for a command line parameter (and options) to the specified TStringList instance.

## Declaration

Source position: lclproc.pas line 252

`procedure AddCmdLineParamDesc(`
`var aText: TStringList;`
`aParamOpts: array of string;`
`aDescr: string`
`);`

## Arguments

`aText` |  | TStringList instance where the formatted help output is stored.
`aParamOpts` |  | Array with the list of parameters / options for the generated help content. Normally contains the short and/or long variants of the command line switch(es) and any argument(s).
`aDescr` |  | Descriptive text for the specified parameter(s).

## Description

AddCmdLineParamDesc stores the values from aParamOpts and aDescr as separate lines appended to the string list in aText. Multiple values in aParamOpts are combined into a comma-delimited list and added as a single line to AText. aDescr is appended to aText as the last entry.

No actions are performed in the routine if aParamOpts is an empty array (Length = 0).

## Version info

Added in LCL 4.0.